Subject: Re: linux-next: build warning after merge of the ftrace tree

From: Fengguang Wu <[email-masked]>
Date: Thu, 5 Jun 2014 09:03:53 +0800

On Wed, Jun 04, 2014 at 09:00:16PM -0400, Steven Rostedt wrote:
> On Thu, 5 Jun 2014 08:20:12 +0800
> Fengguang Wu <[email-masked]> wrote:
> 
> > On Wed, Jun 04, 2014 at 12:26:12PM -0400, Steven Rostedt wrote:
> > > On Wed, 4 Jun 2014 16:09:21 +1000
> > > Stephen Rothwell <[email-masked]> wrote:
> > > 
> > > > Hi Steven,
> > > > 
> > > > After merging the ftrace tree, today's linux-next build (x86_64 allmodconfig)
> > > > produced this warning:
> > > > 
> > > > kernel/trace/trace_benchmark.c: In function 'trace_do_benchmark':
> > > > kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq' [-Wunused-variable]
> > > >   u64 seedsq;
> > > >       ^
> > > > 
> > > > Introduced by commit 81dc9f0ef21e ("tracing: Add tracepoint benchmark tracepoint").
> > > 
> > > Hmm, I don't know why my tests missed this. I do a allmodconfig looking
> > > for new warning messages too. Oh, but I do need to add this config to my
> > > regular testing config :-/
> > > 
> > > I'm surprised Wu's bot didn't report it either.
> > 
> > Steven, it was reported, here is the email archive:
> > 
> > https://lists.01.org/pipermail/kbuild-all/2014-May/004749.html
> 
> Was I Cc'd? I don't have that in my inbox, nor do I see it in any of my
> spam filters.

Yes, here is the email message:

        Date: Sat, 31 May 2014 02:16:43 +0800
        From: kbuild test robot <[email-masked]>
==>     To: "Steven Rostedt (Red Hat)" <[email-masked]>
        CC: [email-masked]
        Subject: [trace:ftrace/core 29/32] kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq'
        User-Agent: Heirloom mailx 12.5 6/20/10

        tree:   git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace.git ftrace/core
        head:   4c27e756bc019ec1c11232893af036fdae720a97
        commit: 81dc9f0ef21e40114cc895894c7acf3055f6d1fb [29/32] tracing: Add tracepoint benchmark tracepoint
        config: make ARCH=x86_64 allmodconfig

        All warnings:

           kernel/trace/trace_benchmark.c: In function 'trace_do_benchmark':
        >> kernel/trace/trace_benchmark.c:38:6: warning: unused variable 'seedsq' [-Wunused-variable]
             u64 seedsq;                                                                             
                 ^
Thanks,
Fengguang